From 44ee619bca321ab349cb55173b3f52770cd34868 Mon Sep 17 00:00:00 2001
From: Alexey Min <alexey.min@gmail.com>
Date: Wed, 29 Jan 2020 17:35:43 +0300
Subject: [PATCH 03/59] AlpineApkBackend: use own reviews backend

---
 .../AlpineApkBackend/AlpineApkBackend.cpp         | 15 +++++----------
 .../backends/AlpineApkBackend/AlpineApkBackend.h  |  4 ++--
 2 files changed, 7 insertions(+), 12 deletions(-)

diff --git a/libdiscover/backends/AlpineApkBackend/AlpineApkBackend.h b/libdiscover/backends/AlpineApkBackend/AlpineApkBackend.h
index 624df1c9f..f8d3aa69f 100644
--- a/libdiscover/backends/AlpineApkBackend/AlpineApkBackend.h
+++ b/libdiscover/backends/AlpineApkBackend/AlpineApkBackend.h
@@ -26,7 +26,7 @@
 
 #include <QtApk.h>
 
-// class DummyReviewsBackend;
+class AlpineApkReviewsBackend;
 class StandardBackendUpdater;
 class AlpineApkResource;
 class AlpineApkBackend : public AbstractResourcesBackend
@@ -62,7 +62,7 @@ private:
 
     QHash<QString, AlpineApkResource *> m_resources;
     StandardBackendUpdater *m_updater;
-    // DummyReviewsBackend* m_reviews;
+    AlpineApkReviewsBackend *m_reviews;
     QtApk::Database m_apkdb;
     QVector<QtApk::Package> m_availablePackages;
     QVector<QtApk::Package> m_installedPackages;
-- 
GitLab


